#
# spec file for package tilp (Version 1.12)
#

# norootforbuild

Name:           tilp2
Version:        1.18
Release:        %mkrel 1
Url:            http://ticalc.org
Summary:        Communicate with TI calculators
License:        GPL
Group:          Development/Tools/Other
Source:         %{name}-%{version}.tar.xz
Source1:        https://raw.githubusercontent.com/debrouxl/tilp_and_gfm/1.18/tilp/trunk/acinclude.m4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  %{_lib}glade2.0_0-devel
BuildRequires:  zlib-devel
BuildRequires:  libticalcs2-devel
BuildRequires:  libticables2-devel
BuildRequires:  libtifiles2-devel
BuildRequires:  libticonv-devel

%description
All physical link cables are supported by TiLP: parallel, serial, 
BlackLink, GrayLink, AVRlink, SilverLink and DirectLink.
TiLP also support some virtual links: one for VirtualTI, the other one for
GtkTiEmu.

Note1: the SilverLink cable may not work fine TI82/85.
Note2: remote control is not supported by DirectLink yet.

Supported calculators are: 
	TI73, TI82, TI83, TI83+(SE), TI84+(SE), TI85, TI86, 
	TI89, TI89 Titanium, TI92, TI92+ and V200,
	NSpire (non-CAS).


FEATURES
--------

Note: some features may depend on the OS version. Be sure to have the latest one !

NSpire:
  - screen dump
  - directory list
  - sending/receiving file
  - upgrading OS
  - version

TI89/TI89 Titanium/TI92+/V200:
  - remote control of the calculator
  - screen dump
  - directory list
  - sending/receiving/deleting variable
  - sending/receiving backup
  - ROM dump
  - sending/receiving/deleting FLASH applications
  - upgrading of Operating System (AMS)
  - getting/setting time (need AMS >= 2.08)

TI92:
  - remote control of the calculator
  - screen dump
  - directory list
  - sending/receiving/deleting variable
  - sending/receiving backup
  - ROM version
  - ROM dump (FARGO II required)

TI86:
  - screen dump
  - sending/receiving backup (old & new ti86 calcs)
  - sending/receiving variable
  - TIGL file support
  - ROM dump

TI85:
  - screen dump
  - sending/receiving backup
  - sending/receiving variable
  - TIGL file support
  - ROM dump

TI83+/TI84+ (SE or not SE):
  - screen dump
  - directory list
  - sending/receiving backup (archived vars are not backed up !)
  - sending/receiving/deleting variable
  - sending/receiving/deleting FLASH applications
  - upgrading of Operating System (GRAPH EXPLORER SOFTWARE)
  - ROM dump

Note: the TI83+ is the only calc to have a GROUP variable. TiLP supports it in
a specific way: this kind of var is saved as a single file as any other
variable. Thus, if you send it, it will stay grouped on calc.
The TI's software has a different way: it explodes the GROUP variable
into a .8Xg group file and you lose the grouping on calculator.

TI83:
  - screen dump
  - directory list
  - sending/receiving variable
  - sending/receiving backup
  - TIGL file support
  - ROM dump

TI82:
  - screen dump
  - sending/receiving variable
  - sending/receiving backup
  - TIGL files support
  - ROM dump

TI73:
  - screen dump
  - directory list
  - sending/receiving variable
  - sending/receiving of FLASH applications
  - upgrading of Operating System (GRAPH EXPLORER SOFTWARE)
  - ROM dump

%prep
%setup -q
mkdir -p m4
install -Dpm644 %{_sourcedir}/acinclude.m4 .

%build
#suse_update_config -f}
autoreconf -fi
#export CXXFLAGS="%{optflags}" CFLAGS="%{optflags}" QTDIR=/usr/lib/qt3
#configure --with-qt-libraries=/usr/lib/qt3/%{_lib}
%configure
%make

%install
rm -rf %buildroot
%makeinstall
%find_lang %{name}
#fdupes -s %{buildroot}%{_datadir}/%{name}/icons

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/tilp.desktop

cat > $RPM_BUILD_ROOT%{_datadir}/applications/tilp.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=TILP
Name[fr_FR]=TILP
Comment=TI Linking Program
Comment[fr_FR]=Programme de connexion pour calculatrices TI
GenericName=TI Linking Program
GenericName[fr_FR]=Connexion calculatrices TI
Encoding=UTF-8
Version=1.0
Exec=%{_bindir}/tilp
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-Office-Accessories;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;Science;Math;
MimeType=application/x-tilp
EOF

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/tilp
%doc %{_mandir}/man1/tilp.1*
%{_datadir}/%{name}
%{_datadir}/applications/tilp.desktop
%{_datadir}/mime/packages/tilp.xml
%{_datadir}/appdata/tilp.appdata.xml

%changelog
* Fri Feb 17 2017 adrianomorselli <adrianomorselli> 1.18-1uplos2017
- update
- removed old stuff
